/*
 *  Olvid for iOS
 *  Copyright © 2019-2022 Olvid SAS
 *
 *  This file is part of Olvid for iOS.
 *
 *  Olvid is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU Affero General Public License, version 3,
 *  as published by the Free Software Foundation.
 *
 *  Olvid is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU Affero General Public License for more details.
 *
 *  You should have received a copy of the GNU Affero General Public License
 *  along with Olvid.  If not, see <https://www.gnu.org/licenses/>.
 */

import Foundation

struct CommonString {
    
    struct Word {
        static let Abort = NSLocalizedString("Abort", comment: "Abort word, capitalized")
        static let About = NSLocalizedString("About", comment: "About word, capitalized")
        static let Accept = NSLocalizedString("Accept", comment: "Accept word, capitalized")
        static let Actions = NSLocalizedString("Actions", comment: "Actions word, capitalized")
        static let Active = NSLocalizedString("Active", comment: "Active word, capitalized")
        static let Admin = NSLocalizedString("Admin", comment: "Admin word, capitalized")
        static let Advanced = NSLocalizedString("Advanced", comment: "Advanced word, capitalized")
        static let After = NSLocalizedString("After", comment: "After word, capitalized")
        static let Always = NSLocalizedString("Always", comment: "Always word, capitalized")
        static let Authenticate = NSLocalizedString("Authenticate", comment: "Authenticate word, capitalized")
        static let Back = NSLocalizedString("Back", comment: "Back word, capitalized")
        static let Backup = NSLocalizedString("Backup", comment: "Backup word, capitalized")
        static let Call = NSLocalizedString("Call", comment: "Call word, capitalized")
        static let Camera = NSLocalizedString("Camera", comment: "Camera word, capitalized")
        static let Cancel = NSLocalizedString("Cancel", comment: "Cancel word, capitalized")
        static let Chat = NSLocalizedString("Chat", comment: "Chat word, capitalized")
        static let Choose = NSLocalizedString("Choose", comment: "Choose word, capitalized")
        static let Clean = NSLocalizedString("Clean", comment: "Clean word, capitalized")
        static let Completely = NSLocalizedString("Completely", comment: "Completely word, capitalized")
        static let Confirmation = NSLocalizedString("Confirmation", comment: "Confirmation word, capitalized")
        static let Contacts = NSLocalizedString("Contacts", comment: "Contacts word, capitalized")
        static let Copy = NSLocalizedString("Copy", comment: "Copy word, capitalized")
        static let Create = NSLocalizedString("Create", comment: "Create word, capitalized")
        static let Date = NSLocalizedString("DATE", comment: "Date word, capitalized")
        static let Debug = NSLocalizedString("Debug", comment: "Debug word, capitalized")
        static let Decline = NSLocalizedString("Decline", comment: "Decline word, capitalized")
        static let Default = NSLocalizedString("Default", comment: "Default word, capitalized")
        static let Delete = NSLocalizedString("Delete", comment: "Delete word, capitalized")
        static let Deleted = NSLocalizedString("Deleted", comment: "Deleted word, capitalized")
        static let Delivered = NSLocalizedString("Delivered", comment: "Delivered word, capitalized")
        static let Details = NSLocalizedString("Details", comment: "Details word, capitalized")
        static let Devices = NSLocalizedString("Devices", comment: "Devices word, capitalized")
        static let Directory = NSLocalizedString("Directory", comment: "Directory word, capitalized")
        static let Discard = NSLocalizedString("Discard", comment: "Discard word, capitalized")
        static let Discussion = NSLocalizedString("Discussion", comment: "Discussion word, capitalized")
        static let Discussions = NSLocalizedString("Discussions", comment: "Discussions word, capitalized")
        static let Downloads = NSLocalizedString("Downloads", comment: "Downloads word, capitalized")
        static let Edit = NSLocalizedString("Edit", comment: "Edit word, capitalized")
        static let Edited = NSLocalizedString("Edited", comment: "Edited word, capitalized")
        static let Error = NSLocalizedString("ERROR", comment: "Error word, capitalized")
        static let Everyone = NSLocalizedString("Everyone", comment: "Everyone word, capitalized")
        static let Exclude = NSLocalizedString("Exclude", comment: "Exclude word, capitalized")
        static let Expiration = NSLocalizedString("Expiration", comment: "Expiration word, capitalized")
        static let Expired = NSLocalizedString("Expired", comment: "Expired word, capitalized")
        static let Groups = NSLocalizedString("Groups", comment: "Groups word, capitalized")
        static let Identity = NSLocalizedString("Identity", comment: "Identity word, capitalized")
        static let Immediately = NSLocalizedString("Immediately", comment: "Immediately word, capitalized")
        static let Interface = NSLocalizedString("Interface", comment: "Introduce word, capitalized")
        static let Introduce = NSLocalizedString("Introduce", comment: "Introduce word, capitalized")
        static let Invitations = NSLocalizedString("Invitations", comment: "Invitations word, capitalized")
        static let Invite = NSLocalizedString("Invite", comment: "Invite word, capitalized")
        static let Later = NSLocalizedString("Later", comment: "Later word, capitalized")
        static let Loading = NSLocalizedString("Loading", comment: "Loading word, capitalized")
        static let Metadata = NSLocalizedString("Metadata", comment: "Metadata word, capitalized")
        static let Mute = NSLocalizedString("Mute", comment: "Metadata word, capitalized")
        static let Never = NSLocalizedString("Never", comment: "Never word, capitalized")
        static let Next = NSLocalizedString("Next", comment: "Next word, capitalized")
        static let No = NSLocalizedString("No", comment: "No word, capitalized")
        static let None = NSLocalizedString("None", comment: "None word, capitalized")
        static let NoOne = NSLocalizedString("No one", comment: "No one word, capitalized")
        static let Notifications = NSLocalizedString("Notifications", comment: "Notifications word, capitalized")
        static let Now = NSLocalizedString("Now", comment: "Now word, capitalized")
        static let Off = NSLocalizedString("Off", comment: "Off word, capitalized")
        static let Ok = NSLocalizedString("Ok", comment: "Ok word, capitalized")
        static let Oups = NSLocalizedString("😧 Oups...", comment: "Oups word, with Emoji, capitalized")
        static let Partially = NSLocalizedString("Partially", comment: "Oups word, with Emoji, capitalized")
        static let Paste = NSLocalizedString("Paste", comment: "Paste word, capitalized")
        static let Pending = NSLocalizedString("Pending", comment: "Pending word, capitalized")
        static let Publish = NSLocalizedString("Publish", comment: "Publish word, capitalized")
        static let Privacy = NSLocalizedString("Privacy", comment: "Privacy word, capitalized")
        static let Proceed = NSLocalizedString("Proceed", comment: "Proceed word, capitalized")
        static let Read = NSLocalizedString("Read", comment: "Read word, capitalized")
        static let Reject = NSLocalizedString("Reject", comment: "Reject word, capitalized")
        static let Reply = NSLocalizedString("Reply", comment: "Reply word, capitalized")
        static let Reset = NSLocalizedString("Reset", comment: "Reset word, capitalized")
        static let Restore = NSLocalizedString("Restore", comment: "Restore word, capitalized")
        static let Save = NSLocalizedString("Save", comment: "Save word, capitalized")
        static let Search = NSLocalizedString("Search", comment: "Search word, capitalized")
        static let Send = NSLocalizedString("Send", comment: "Send word, capitalized")
        static let Sent = NSLocalizedString("Sent", comment: "Sent word, capitalized")
        static let Settings = NSLocalizedString("Settings", comment: "Settings word, capitalized")
        static let Share = NSLocalizedString("Share", comment: "Share word, capitalized")
        static let Show = NSLocalizedString("Show", comment: "Show word, capitalized")
        static let Size = NSLocalizedString("Size", comment: "Size word, capitalized")
        static let Speaker = NSLocalizedString("Speaker", comment: "Speaker word, capitalized")
        static let Timer = NSLocalizedString("Timer", comment: "Timer word, capitalized")
        static let Unavailable = NSLocalizedString("Unavailable", comment: "Unavailable word, capitalized")
        static let Unlimited = NSLocalizedString("Unlimited", comment: "Unlimited word, capitalized")
        static let Update = NSLocalizedString("Update", comment: "Update word, capitalized")
        static let Version = NSLocalizedString("Version", comment: "Version word, capitalized")
        static let VoIP = NSLocalizedString("VoIP", comment: "VoIP word, capitalized")
        static let Wiped = NSLocalizedString("Wiped", comment: "Wiped word, capitalized")
        static let Yes = NSLocalizedString("Yes", comment: "Yes word, capitalized")
        static let You = NSLocalizedString("You", comment: "You word, capitalized")
    }
    
    struct AlertButton {
        static let exportToFilesApp = NSLocalizedString("Export to File App", comment: "Alert button title")
        static let performDeletionAction = NSLocalizedString("Perform the deletion", comment: "Alert button title")
        static let performGlobalDeletionAction = NSLocalizedString("Perform the deletion for all users", comment: "Alert button title")
        static let saveChanges = NSLocalizedString("Save changes", comment: "Alert button title")
        static let discardChanges = NSLocalizedString("Discard changes", comment: "Alert button title")
    }
    
    struct Title {
        static let downloadingFile = NSLocalizedString("Downloading File...", comment: "Displayed in QuickLook when showing a downloading file")
        static let invitationToJoinGroup = NSLocalizedString("Invitation to join a group", comment: "Invitation subtitle, Notification title")
        static let myId = NSLocalizedString("My Id", comment: "Title of a tab, Title of the MyIdViewController, View Controller title")
        static let newSuggestedIntroduction = NSLocalizedString("New Suggested Introduction", comment: "Invitation subtitle, Notification title")
        static let qrCode = NSLocalizedString("QR code", comment: "Button title")
        static let newContact = NSLocalizedString("New contact", comment: "Title")
        static let deleteGroup = NSLocalizedString("Delete group", comment: "Title")
        static let leaveGroup = NSLocalizedString("Leave group", comment: "Title")
        static let copyText = NSLocalizedString("Copy text", comment: "Title")
        static let scanDocument = NSLocalizedString("Scan document", comment: "Title")
        static let sendReadRecceipts = NSLocalizedString("Send Read Receipts", comment: "Title")
        static let discussionSettings = NSLocalizedString("DISCUSSION_SETTINGS", comment: "Title")
        static let useApplicationDefault = NSLocalizedString("Use application default", comment: "Title")
        static let callBack = NSLocalizedString("CALL_BACK", comment: "Title")
        static let touchToReturnToCall = NSLocalizedString("Touch to return to call", comment: "Title")
        static let introduceTo = { (contactIdentityDisplayName: String) in
            String.localizedStringWithFormat(NSLocalizedString("Introduce %@ to...", comment: "Title of the table listing all identities but the one to introduce"), contactIdentityDisplayName)
        }
        static let deleteOwnReaction = NSLocalizedString("DELETE_OWN_REACTION", comment: "Title")
        static let contactsAndGroups = NSLocalizedString("CONTACTS_AND_GROUPS", comment: "Title")
        static let contactsSortOrder = NSLocalizedString("CONTACTS_SORT_ORDER", comment: "Title")
    }
    
    static let deletedContact = NSLocalizedString("A (now deleted) contact", comment: "Can serve as a name in the sentence %@ accepted to join this group")
    static let removeNickname = NSLocalizedString("Remove nickname", comment: "UIAlertController action")
    static let restoreBackupTitle = NSLocalizedString("Restore a backup", comment: "Button title, Navigation controller title")

}
